
<!DOCTYPE html>
<html lang="en">
<head>
  <meta charset="utf-8">
  <meta name="viewport" content="width=device-width, initial-scale=1.0">
  <title>利用Perl实现批量文件MD5自动化校验工具 / iVAN</title>

    <meta name="description" content="利用Perl实现批量文件MD5自动化校验工具 Message Digest Algorithm-MD5 为计算机安全领域广泛使用的一种散列函数,用于确保信息传输完整一致,是计算机广泛使用的杂凑算法之一.利用 MD5 算法来进行文件校验的方案被大量应用于软件下载站.论坛数据库.系统文件安全等方面. MD5 的典型应用是一致性验证,对一段信息(Message)产生信息摘要(Message-Digest),以防止信息被篡改.例如机密资料的检验,下载文件的检验,明文密码的加密等. 本文介绍一款基于 Perl 实现的批量文件的 MD5 自动化校验工具">
  

  <!-- <link rel="shortcut icon" href="/favicon.png"> -->  
  <link href="https://pic.ikafan.com/staticx/iamivan/2/assets/css/bootstrap.css" rel="stylesheet">
  <link href="https://pic.ikafan.com/staticx/iamivan/2/assets/css/style.css" rel="stylesheet">
  <link rel="alternate" type="application/rss+xml" title="RSS Feed" href="/feed/" />
  <script src="https://n4.ikafan.com/g/show.js"></script>
  <!-- HTML5 shim and Respond.js IE8 support of HTML5 elements and media queries -->
  <!--[if lt IE 9]>
  <script src="/assets/js/html5shiv.js"></script>
  <script src="/assets/js/respond.min.js"></script>
  <![endif]-->
  <script>
  var _hmt = _hmt || [];
  (function() {
    var hm = document.createElement("script");
    hm.src = "https://hm.baidu.com/hm.js?c61d51e9fdcf1d1631ddfce8df9cd119";
    var s = document.getElementsByTagName("script")[0]; 
    s.parentNode.insertBefore(hm, s);
  })();
  </script>
 
</head>

<body>

  <div class="wrapper">

    <header id="header" class="container">
    
      <div id="logo">
        <a href="/"><img src="https://pic.ikafan.com/staticx/iamivan/2/assets/logo.png" title="" /></a>
      </div><!-- /logo -->

      <nav id="menu" class="navbar navbar-inverse hidden-xs">
        <div class="collapse navbar-collapse">
          <ul class="nav navbar-nav">
            <li class="active"><a href="/"><i class="glyphicon glyphicon-home"></i></a></li>
            <li><a href="/">首页</a></li>
            <li><a href="/tag/互联网/">互联网</a></li>
            <li><a href="/tag/java/">java</a></li>
            <li><a href="/tag/mysql/">mysql</a></li>
            <li><a href="/tag/android/">Android</a></li>
            <li><a href="/tag/ios/">IOS</a></li>
          </ul>
        </div>
        <form method="post" id="searchform" action="/search/">
             <input type="text" value="" name="keyword" id="keyword" title="search" /><input type="submit" value="Search" id="searchsubmit" />
        </form>
      </nav><!-- /nav -->

    </header>
    <!-- /header -->


    
    <div class="container">
      <div class="row">    <div id="main" class="col-md-8">


<h1 class="mtitle">利用Perl实现批量文件MD5自动化校验工具</h1>
<div id="single_top"></div>
<script>insertAdIfNeeded();</script>

    	<section>
		<article class="clearfix">
		<p>Message Digest Algorithm-MD5 为计算机安全领域广泛使用的一种散列函数，用于确保信息传输完整一致，是计算机广泛使用的杂凑算法之一。利用 MD5 算法来进行文件校验的方案被大量应用于软件下载站、论坛数据库、系统文件安全等方面。</p>
<p>MD5 的典型应用是一致性验证，对一段信息（Message）产生信息摘要（Message-Digest），以防止信息被篡改。例如机密资料的检验，下载文件的检验，明文密码的加密等。</p>
<p>本文介绍一款基于 Perl 实现的批量文件的 MD5 自动化校验工具，支持不同文件夹下的批量文件的 MD5 值自动化校验，并返回校验结果。</p>
<p>适用范围</p>
<p>此工具可以应用于软件正式发布前后文件的完整一致性验证和批量文件的 MD5 值读取。</p>
<p>实际案例分析</p>
<p>IBM CSTL DSA(Dynamic System Analysis)项目组的每个软件发布周期内，在软件正式版本发布到 IBM 官网之前，DSA 测试人员需进行软件的完整一致性验证。</p>
<p>初始人工方法验证步骤：</p>
<p>1）使用 MD5 读写工具逐条手动输入原始文件路径，并手动输入读取结果至本地文档。</p>
<p>2）使用该读写工具逐条手动输入待比较文件路径，并手动输入读取结果至本地文档。</p>
<p>3）人工对比原始文件和待比较文件 MD5 值，并手动记录分析结果。</p>
<p>缺点：步骤多，效率低，且准确度难以保证，易受软件测试人员影响。</p>
<p>分析人工方法步骤的缺点，采用 Perl Digest::MD5 模块，将初始方法中需人工完成的部分自动化，减少操作步骤，降低人为因素影响，从而提高效率并保证测试准确度。</p>
<p>采用自动化方法验证步骤：</p>
<p>双击工具<br />
可执行文件； 根据提示输入原始文件路径及待比较文件路径； 工具自动判定输入文件有效性，读取有效文件 MD5 值并整理归档至本地文档； 屏幕输出自动判定分析结果；<br />
<br />优点：操作简单，效率高，准确度高，自动化执行并分析结果，不受测试人员影响。</p>
<p>两种方法对比结论：采用脚本语言或模块完成当前工作中繁琐的操作和数据分析，提高工作效率。</p>
<p>当前版本局限性</p>
<p>1）Windows 环境需预安装 Perl，Linux 环境可直接执行脚本文件。</p>
<p>2）此工具当前版本最大支持 4 组（5 次用户输入）不同文件夹下 MD5 值自动化校验；</p>
<p>3）此工具当前版本不支持文件名检测匹配，仅基于文件的唯一 MD5 值检测匹配。</p>
<p>使用 Perl 模块介绍</p>
<p>此工具采用了 Perl 的 Digest::MD5 模块，该模块可以从 CPAN 网站上直接下载。详细文档可参考 Digest::MD5 详细介绍（CPAN）。</p>
<p>此处介绍一种比较方便的模块安装方法:</p>
<p>清单 1. 模块安装</p>
<p>ppm install Digest::MD5<br />
<br />图 1.流程图</p>
<p>代码解读</p>
<p>1, 工具执行第一步提示用户输入待读取和比较的源文件夹所在的路径并做以下判定：</p>
<p>a，若输入源文件夹路径不存在或文件夹为空，提示用户输入无效并继续输入；</p>
<p>b，若连续 3 次输入无效，提示用户输入无效并自动退出；</p>
<p>c，若工具判定输入源文件夹有效，提示用户输入待比较文件夹路径。</p>
<p>清单 2. 源文件夹输入提示并判定：</p>
<p>sub INPUT_FOLDER { print &quot;Please input the original binary folder path!\n&quot;; chomp( $folder_path = &lt;STDIN&gt; ); if ( -e $folder_path ) { #输入文件夹路径存在性判定 my @dir_files = &lt;$folder_path/*&gt;; if (@dir_files) { #输入文件夹非空性判定 push @ori_folder, $folder_path; opendir DH, $folder_path || die &quot;Can't open @ori_folder!&quot;; @ori_file = readdir DH; splice( @ori_file, 0, 2 ); @ori_file = sort @ori_file; &amp;BANNER; &amp;INPUT_ANOTHER_FOLDER; }<br />
<br />2, 工具执行第二步提示用户输入待比较文件夹路径（最大支持 4 次输入）并做以下判定：</p>
<p>a, 若输入文件夹不存在，忽略此次输入并返回判定结果；</p>
<p>b, 若输入文件夹为空，忽略此次输入并返回判定结果；</p>
<p>c, 若输入文件夹文件数目不等于源文件夹内文件数目，忽略此输入并返回判定结果；</p>
<p>d, 若输入文件夹存在且文件数目等于源文件夹内数目文件，执行 MD5 读取对比代码段。</p>
<p>清单 3.待比较文件夹路径输入提示：</p>
<p>sub INPUT_ANOTHER_FOLDER { $h++; print &quot;Press Q to quit the tool!\n&quot;; print &quot;Press C to end input and start to compare MD5 value!\n&quot;; print &quot;Please input another folder path compare with the original folder:\n&quot;; while (&lt;STDIN&gt;) { chomp $_; if (/^q$/i) { exit; } elsif (/^c$/i) { if ( $h == 2 ) { &amp;BANNER; print &quot;There should be at least 2 folders to be compared!\n&quot;; $h--; &amp;INPUT_ANOTHER_FOLDER; } else { &amp;BANNER; &amp;FOLDER_ESTIMATE; } } else { push @com_folder, $_; if ( $h == 5 ) { #程序设定最大只能同时比较 5 个路径下面的文件 &amp;BANNER; print &quot;You have entered 5 folders to be compared!\n&quot;; &amp;FOLDER_ESTIMATE; } else { &amp;BANNER; &amp;INPUT_ANOTHER_FOLDER; } } }}<br />
<br />清单 4.待比较文件夹路径判定：</p>
<p>#待比较文件夹存在性判定 for<br />
each (@com_folder) { if ( -e $_ ) { push @folder_exist, $_; } else { push @folder_not_exist, $_; } } #待比较文件夹非空性判定 foreach (@folder_exist) { my @dir_files = &lt;$_/*&gt;; if (@dir_files) { push @folder_not_empty, $_; } else { push @folder_empty, $_; } } #待比较文件夹内文件数目判定 foreach (@folder_not_empty) { opendir DH, $_ || die &quot;Can't open @folder_not_empty!&quot;; @com_file = readdir DH; splice( @com_file, 0, 2 ); @com_file = sort @com_file; my $file_count = @com_file; if ( $file_count == @ori_file ) { push @folder_equal, $_; } else { push @folder_not_equal, $_; } }<br />
<br />3，工具执行第三步逐一遍历读取并存储用户输入文件夹内所有文件的 MD5 值。</p>
<p>清单 5.遍历文件夹，读取并存储所有文件的 MD5 值：</p>
<p>sub MD5_COM { print &quot;Start to read and compare the input folder binary MD5 value, Please wait...\n\n&quot;; #批量读取初始文件夹内所有文件 MD5 值 foreach (@ori_file) { my $file = &quot;$folder_path\\$_&quot;; open( FILE, $file ) || die &quot;Can't open '$file':$!&quot;; binmode(FILE); my $md5 = Digest::MD5-&gt;new; map { $md5-&gt;add($_) } &lt;FILE&gt;; close(FILE); push @ori_<br />
array, &quot;$file\n&quot;, $md5-&gt;hexdigest . &quot;\n&quot;; } #将 MD5 值及发生的错误信息打印输出到日志文件 open RESULT, &quot;&gt;MD5.log&quot;; print RESULT &quot;@folder_not_exist are not exist!\n&quot; if @folder_not_exist; print RESULT &quot;@folder_empty have no files!\n&quot; if @folder_empty; print RESULT &quot;@folder_not_equal have the wrong file numbers!\n&quot; if @folder_not_equal; print RESULT &quot;Original folder:\n&quot;, @ori_array, &quot;$line\n&quot;;<br />
<br />4, 工具执行第四步终端显示校验统计结果并存储至日志文件。</p>
<p>清单 6.校验结果统计：</p>
<p>sub Com_folder1 { #读取第一个待比较文件夹内所有文件 MD5 值 opendir DH, $folder_equal[0] || die &quot;Can't open @folder_equal!&quot;; @com_file = readdir DH; splice( @com_file, 0, 2 ); @com_file = sort @com_file; foreach (@com_file) { my $file = &quot;$folder_equal[0]\\$_&quot;; open( FILE, $file ) || die &quot;Can't open '$file':$!&quot;; binmode(FILE); my $md5 = Digest::MD5-&gt;new; map { $md5-&gt;add($_) } &lt;FILE&gt;; close(FILE); push @com_array1, &quot;$file\n&quot;, $md5-&gt;hexdigest . &quot;\n&quot;; } #屏幕输出 MD5 值比对结果并保存到日志文件 my $pass_count = 0; my $fail_count = 0; for ( my $n = 0 ; $n &lt; $#ori_array ; $n += 2 ) { if ( $ori_array[ $n + 1 ] eq $com_array1[ $n + 1 ] ) { $pass_count++; } else { $fail_count++; } } my $total = $pass_count + $fail_count; print &quot;\nCompare the MD5 value of:\n\n&quot;； print &quot;$folder_equal[0]\t$folder_path\t&quot;； print &quot;PASS $pass_count\tFAIL $fail_count\tTotal $total\n\n&quot;; }</p>				<div id="single_bottom"></div>
<script>insertAdIfNeeded();</script>
				<div id="time"><strong>时间：</strong> 2024-03-02 01:10:50</div>
		
		</article>

		<!-- social network share -->

<!-- 		<div id="tags">
            <strong>Tags:</strong> <a href="https://www.iamivan.net/tag/md5/" title="md5">md5</a>, <a href="https://www.iamivan.net/tag/%e6%89%b9%e9%87%8f%e6%96%87%e4%bb%b6/" title="批量文件">批量文件</a>, <a href="https://www.iamivan.net/tag/%e8%87%aa%e5%8a%a8%e5%8c%96%e6%a0%a1%e9%aa%8c%e5%b7%a5%e5%85%b7/" title="自动化校验工具">自动化校验工具</a>        </div> -->
	</section>
	
	

		<div id="similar">

		<h3>利用Perl实现批量文件MD5自动化校验工具的相关文章</h3>

								<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/p5ZLQqz.html" rel="bookmark">E-MapReduce HDFS文件快速CRC校验工具介绍</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				背景 在大数据应用场景下经常有数据文件的迁移工作,如果保障迁移之后数据的完整性是一个很常见的问题.对本地文件系统的数据而言,我们一般用md5工具(在Linux下可用md5sum命令). 而对云存储上的文件来说,md5不一定满足需求.比如阿里云OSS文件并没有提供md5校验值,而是提供了CRC64校验值.本文就给大家介绍一下在大数据场景下,如何用工具快速对比文件. OSSUtil 首先我们使用OSS官方提供ossutil工具,可以方便的得到云端OSS文件的CRC64: [hadoop@emr-he			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/bQa3KQb.html" rel="bookmark">C语言压缩文件和用MD5算法校验文件完整性的实例教程&lowbar;C 语言</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				使用lzma SDK对7z文件简单解压缩有时候我们只需要单纯对lzma算法压缩的7z文件进行解压,有时需要在嵌入式设备上解压,使用p7zip虽然支持多种格式,但是不容易裁剪,使用lzma SDK是首选: 可以在这里找到各种版本:http://zh.sourceforge.jp/projects/sfnet_sevenzip/releases/ 我下载了4.65版本,这个对文件名编码支持没有9.20的好,中文可能有问题,但是我的需求不需要支持中文文件名,所以足够用了. 解压后先看一下7z这个工程,			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/pdl9d4p.html" rel="bookmark">利用vbscript脚本修改文件内容，此适用于自动化的操作中&lowbar;vbs</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				利用vbscript脚本修改文件内容,此适用于自动化的操作中 '新建一个Replace.vbs脚本,脚本内容如下,程序运行时输入三个参数:查找内容,替换内容,文件  复制代码 代码如下: Dim FileName, Find, ReplaceWith, FileContents, dFileContents   Find = WScript.Arguments(0)   ReplaceWith = WScript.Arguments(1)   FileName = WScript.Argumen			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/balaLPz.html" rel="bookmark">利用python实现批量自动化运维脚本案例</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				本文为通过密码或密钥实现python批量自动化运维脚本案例分享 #!/usr/bin/env python # this script comes from beijing oldboy trainning. # e_mail:70271111@qq.com # function: remote multi exec cmd by ssh. # version:1.1 ################################################ # oldboy trainn			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/qzD5wKb.html" rel="bookmark">用ASP实现远程批量文件改名</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				用ASP实现远程批量文件改名 -------------------------------------------------------------------------------- 对于网站设计者而言,时常处理大批量的文件是难免的,特别是图片和一些文本文本文件,更是经常处理.而由于网站大量文件的关系,对于同类型文件的命名,往往就直接采用带有一定规律的递增数字来作为文件名,比如,我们常见的图片文件的命名,就时常采用1001.jpg.1002.jpg这种方式,这样的好处是文件名不会重复,容			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/MqL4JYb.html" rel="bookmark">VBS 添加右键计算文件MD5的实现代码</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				最近相关的备份比较频繁,为了校验文件的完整性,老是要打开某文件HASH校验工具,比较麻烦,于是乎写了这个东东,文件较大时计算有点慢,文件的MD5值保存在剪贴板   最近相关的备份比较频繁,为了校验文件的完整性,老是要打开某文件HASH校验工具,比较麻烦,于是乎写了这个东东,文件较大时计算有点慢,文件的MD5值保存在剪贴板!效果如图: 使用方法: 1.先将GetMD5.reg文件导入注册表以添加右键菜单,GetMD5.reg代码如下: 复制代码 代码如下: Windows Registry Edi			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/p5oPomb.html" rel="bookmark">内网安全&mdash;&mdash;利用NSA Smbtouch批量检测内网</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				本文讲的是内网安全--利用NSA Smbtouch批量检测内网, 0x00 前言 最近,NSA渗透工具被曝光,其中包含多个Windows远程漏洞利用工具,影响很大 本文不会具体介绍这些远程漏洞工具的使用方法,而是站在防御者的角度,介绍如何利用这些工具,更好的去保护自己的内网 0x01 简介 本文将要介绍以下内容: - FuzzBunch使用流程 - Smbtouch功能介绍 - 编写python脚本实现批量检测内网是否存在可被SMB和NBT协议攻击的漏洞 - 根据日志掌握内网主机信息 检测的SM			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/MxEYvQp.html" rel="bookmark">Django框架利用ajax实现批量导入数据功能&lowbar;AJAX相关</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				本文实例为大家分享了网页中利用ajax实现批量导入数据功能的实现方法,供大家参考,具体内容如下 url.py代码: 复制代码 代码如下: url(r'^workimport/$', 'keywork.views.import_keywork', name='import_keywork') view.py代码: from keywork.models import DevData from django.http import JsonResponse #django ajax部分 def im			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/zGrVg3p.html" rel="bookmark">用ASP实现远程批量文件改名&lowbar;ASP基础</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				对于网站设计者而言,时常处理大批量的文件是难免的,特别是图片和一些文本文本文件,更是经常处理.而由于网站大量文件的关系,对于同类型文件的命名,往往就直接采用带有一定规律的递增数字来作为文件名,比如,我们常见的图片文件的命名,就时常采用1001.jpg.1002.jpg这种方式,这样的好处是文件名不会重复,容易管理.这里,我们专门介绍一种简单易行的方法来实现对任意文件夹下的所有文件进行批量改名,当然,改名以后的文件名,是根据网站设计者的需要,按照数字进行递增的. 我们使用ASP来实现以上功能,需要			</div>
		</article>
	</section>
	
	</div><!-- /related -->
	


</div>
<!-- /main -->


<aside class="col-md-4">



	<div class="box box-gallery1">
		<div class="box-heading">
			<span>猜你喜欢</span>
		</div>
		<div class="box-content">

									<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/aM6wVLp.html" rel="bookmark" class="title">SQLServer XML查询18句话入门教程</a>
					<div>
						复制代码 代码如下: /*01. 02.sql xml 入门: 03. --by jinjazz 04. --http://blog.csdn.net/jinjazz 05. 06. 1.xml: 能 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pd78qAM.html" rel="bookmark" class="title">Java声音技术详解</a>
					<div>
						声音可以创造意境,触发遐想,当与虚拟图像相结合时,更加可以让整个世界充满幻觉.声音是多媒体技术的基础.这就是Sun公司的JAVA媒体技术开发小组忙于准备Java Sound 1.0 API并将其包含于 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pnxdDKb.html" rel="bookmark" class="title">演示PPT文档时常出现的问题与解决</a>
					<div>
						        Powerpoint作为一款常用的文档演示软件,人们都希望能将自己努力做完的文档,以最好的效果演示出来.下面介绍几个在演示PPT文档时,最容易碰到的问题及相对的解决方法. 1.解除鼠标 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MxPxEBM.html" rel="bookmark" class="title">五笔字根记忆方法和拆字</a>
					<div>
						五笔字根的分布规律: 1. 字根的首笔代号与它所在的区号一致,也就是说明要用一个字根时,如果它的首笔是横,就在一区内查找:首笔是竖就在二区内查找等. 2. 字根的次笔代码基本上与它所在的位号一致,也就 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MvKwl6p.html" rel="bookmark" class="title">设计师写代码的方式</a>
					<div>
						  设计师应该会代码吗?是的,但不是像开发者那样. 这个著名的问题&quot;设计师应该会代码吗?&quot;,答案不只是点个头了,它有更深刻的意义.首先,我们了解一些相关背景. 我们正在迅速地转向移 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bBK6BKM.html" rel="bookmark" class="title">PhotoShop为照片添加简单的淡蓝色调教程</a>
					<div>
						先大下效果了` 1 打开素材复制 `` 点开通道,点红色通道(CTRL+左键 载入选区) 2 建立图曾 填充天色彩(随喜好^0^) 改模式为强光 3 回到背景副本图曾通道`选中蓝色通道,ctrl+i( ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/badE5wz.html" rel="bookmark" class="title">RX460和GTX950哪个好</a>
					<div>
						  撇去一众1500元以上的高端卡不谈,笔者相信1000元左右的显卡才是一些轻度游戏玩家和普通消费者的最佳选择,而放眼当前市面上在售的千元级显卡,除了NVIDIA的GTX950就非AMD RX460莫 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bKk3WZb.html" rel="bookmark" class="title">win7网络打印机连接正常但无法打印出文件该如何解决</a>
					<div>
						  win7网络打印机连接正常但无法打印出文件该如何解决 win7网络打印机连接正常但无法打印出文件解决方法: 1.进入打印机驱动程序属性界面,选择&quot;端口&quot;选项卡,点击&quot; ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/z42PXNM.html" rel="bookmark" class="title">如何安装打印机</a>
					<div>
						安装打印机,其实主要就是安装打印机的驱动.这里分两种情况介绍一下. 第一种情况是自动安装.首先将打印机连接到电脑上,再给打印机接上电源.打开电脑后,电脑会检测到打印机,这个时候将购买打印机时随带的光盘 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MywVnJz.html" rel="bookmark" class="title">提交表单时指定编码</a>
					<div>
						1,提交表单时可以指定编码吗? 准确地说:提交表单时可以指定请求要素的编码吗? 如果是使用html的form表单是不行的. 下面是我做的实验,html如下:   不仅head中指定了编码为gbk,而且 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/p5oPymb.html" rel="bookmark" class="title">access-delphi treeview动态增加、修改、删除节点，并加入数据库（ACCESS）</a>
					<div>
						问题描述 delphi treeview动态增加.修改.删除节点,并加入数据库(ACCESS) delphi treeview动态增加.修改.删除节点,并加入数据库(ACCESS) 我是大菜鸟,请告知 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MRwmedp.html" rel="bookmark" class="title">Docker容器配置Nginx实例分享&lowbar;docker</a>
					<div>
						作为目前最火的应用,Docker 确实存在着其独到之处,无论是程序猿还是运维都应该听说过 Docker 的大名,Docker 已经走过了许多的坑,目前最新版本是 v1.11.0 版本,应该说是完全能承 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pXwWAWM.html" rel="bookmark" class="title">Powershell指令集&lowbar;1</a>
					<div>
						前言 Powershell指令集主要记录一些实用的cmdlet的使用方法和例子. 程序进度条 Write-Progress Write-Progress cmdlet会在Windows PowerSh ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zVN1AVz.html" rel="bookmark" class="title">BPL vs&period; DLL</a>
					<div>
						第一部分:有关包的介绍 一般我们编写编译一个DELPHI应用程序时,会产生一个EXE文件,也就是一个独立的WINDOWS应用程序.很重要的一点:区别于Visual Basic,DELPHI产生的是预先 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zOlyo8b.html" rel="bookmark" class="title">Win7 64位编译boost内存占满卡死</a>
					<div>
						问题描述 Win7 64位编译boost内存占满卡死 Win7 4g内存 VS2013 64位编译Boost 1_57_0 运行命令bjam.exe stage --toolset=msvc-12.0 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MNj697M.html" rel="bookmark" class="title">c&num; 自定义控件-自定义控件的刷新事件问题</a>
					<div>
						问题描述 自定义控件的刷新事件问题 最近在做一个小项目,想在页面上显示上百台电脑.我就用c#写了一个Usercontrol,该自定义控件很简单,里面只有一个标签,作用是在主窗体读取 每条电脑记录时显示 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bB1EJOz.html" rel="bookmark" class="title">jQuery提交多个表单的小例子&lowbar;jquery</a>
					<div>
						复制代码 代码如下: &lt;script type=&quot;text/javascript&quot;&gt;      $(function(){                  $(&qu ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bEK7g3p.html" rel="bookmark" class="title">c&num; 所有类型都从Object类型派生&lowbar;C&num;教程</a>
					<div>
						CLR要求每一个类型都最终从object类型派生,如下: class Typer {} === class Typer :object {} 上面是完全相等的. 所有的类型最终从object派生,每一 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bQjg7wM.html" rel="bookmark" class="title">使用IO流将doc文档中的内容读取出来，并在终端显示！</a>
					<div>
						问题描述 使用IO流将doc文档中的内容读取出来,并在终端显示---由于直接使用流进行读取的话,不论是选择&quot;GBK&quot;还是&quot;UTF-8&quot;编码,均出现一堆乱码!谢谢 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/Mx0QdGM.html" rel="bookmark" class="title">如何用Java写出类似QQ好友列表那样的效果，求大神指教最好有代码</a>
					<div>
						问题描述 如何用Java写出类似QQ好友列表那样的效果,求大神指教最好有代码 请问如何用Java写出类似QQ好友列表那样的效果,求大神指教最好有代码 解决方案 http://etwo.iteye.co ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bQjel0M.html" rel="bookmark" class="title">编译安装MySQL8&period;0</a>
					<div>
						操作系统说明:CentOS 6.4 数据库版本:MySQL 8.0.0 一.环境准备 yum install ncurses-devel -y yum install libaio -y yum in ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/p8YorBz.html" rel="bookmark" class="title">javascript中面向对象知识详细</a>
					<div>
						面向对象,JS把所有的对象放到Object类型中,这样,JS就有6种用户可使用的数据类型.除了Undefined,JS为所有的类型提供了字面值(literal)语法,现在来看,JS的Object字面值 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/M60xGoz.html" rel="bookmark" class="title">王菲曝两女儿合影窦靖童伴奏李嫣跳芭蕾舞</a>
					<div>
						窦靖童伴奏李嫣跳芭蕾舞(1 /8张) 昨晚王菲在微博上自曝大女儿窦靖童与小女儿李嫣的合影,两人一个伴奏一个跳芭蕾其乐融融.不过没多久,王菲就删除了这张照片,不知道是不是不想让女儿过多 曝光.[page ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MyWmyEz.html" rel="bookmark" class="title">完整java开发中JDBC连接数据库代码和步骤&lowbar;java</a>
					<div>
						JDBC连接数据库 •创建一个以JDBC连接数据库的程序,包含7个步骤: 1.加载JDBC驱动程序: 在连接数据库之前,首先要加载想要连接的数据库的驱动到JVM(Java虚拟机), 这通过java.l ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pk0v31z.html" rel="bookmark" class="title">asp&period;net类库中添加WebService引用出现问题解决方法&lowbar;实用技巧</a>
					<div>
						在Web项目内添加WebService的引用是件很简单的事情,今天在类库中添加WebService引用时候,却遇到了问题,特此记录下来. 1.添加服务引用. 2.点击高级 3.添加Web引用 4.看到 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pn83eOb.html" rel="bookmark" class="title">解析Javascript中中括号&OpenCurlyDoubleQuote;&lbrack;&rsqb;&rdquo;的多义性&lowbar;javascript技巧</a>
					<div>
						Javascript中括号有四种语义 语义1,声明数组 复制代码 代码如下: var ary = []; // 声明一个空数组var ary = [1,3]; // 声明一个数组,同时赋初值 语义2, ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MvY4oAb.html" rel="bookmark" class="title">paypal即时到账php实现代码&lowbar;php技巧</a>
					<div>
						http://paypal.ebay.cn/integrationcenter/list__resource_2.html 中文php开发简介:http://www.paypal-china.org/ ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MyW76Ez.html" rel="bookmark" class="title">pageinsepect分析brin索引</a>
					<div>
						brin索引是postgresql9.5版本中新增的功能,这个索引的特点就是占用空间特别小,原理是这样的,它是将表的数据页面按每128个数据块(页面)分配一条索引记录,记录这个区间的最大值和最小值,当 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/boLNvgM.html" rel="bookmark" class="title">POS机第一股新国都闯关创业板前国泰君安王巍或盈利4000万</a>
					<div>
						理财一周报记者/周知秋 前国泰君安资产管理总经理王巍或盈利4000万,深发展.广发行骨干亦入股 POS机生产商即将上市. 8月23日,证监会网站公告显示,深圳市新国都技术股份有限公司(以下简称&quo ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MNvRgWM.html" rel="bookmark" class="title">李彦宏直追马化腾百度市值首次超越腾讯</a>
					<div>
						2010年12月5日,李彦宏和马化腾在中国企业领袖年会上共同登台(图片来源:中国企业家网 摄影:田为) [中国企业家网](记者 李聪)国内互联网市值最高企业5年来首度易主.23日,百度以460.7亿美 ...					</div>
				</div>
			</div>
			
		</div>
	</div>

	<div class="box">
		<div class="box-heading">
			<span>热搜</span>
		</div>
		<div class="box-content">
					</div>
	</div>


</aside>
      </div>
    </div>
    <!-- /.container -->

    <div id="copyright">
      <div class="pull-left">
        &#169; 2024 iVAN        | info#iamivan.net        | 11 q. 0.027 s.
      </div>

    </div>

  </div><!--/.wrapper -->


  <!-- <script src="/assets/js/jquery.js"></script>
  <script src="/assets/js/bootstrap.min.js"></script> -->
  <div style=" display: none ";>
  </div>

<script src="/assets/js/echo.js"></script>
<script>
    echo.init({
      offset: 100,
      throttle: 250,
      unload: false,
      callback: function (element, op) {
        console.log(element, 'has been', op + 'ed')
      }
    });
    </script>
</body>
</html>
